QuattroFormulaInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
QuattroFormulaInternal::State Struct Reference

## Public Member Functions
| State (QuattroFormulaManager::CellReferenceFunction const &readCellReference, int version)
| constructor More...

## Public Attributes
QuattroFormulaManager::CellReferenceFunction | m_readCellReferenceFunction
| function to call to read a cell reference More...
int | m_version
| the file version: 1: .wb1-3, 2: .qpw More...
std::map< int, Functions > | m_idFunctionsMap
| the function which differs from default More...
std::map< int, librevenge::RVNGString > | m_idToDLLName1Map
| map id to DLL name 1 More...
int | m_actDLLName1Id
| the current id DLL name 1 More...
std::map< Vec2i, librevenge::RVNGString > | m_idToDLLName2Map
| map id to DLL name2 More...

## Constructor & Destructor Documentation

## ◆ State()

QuattroFormulaInternal::State::State | ( | QuattroFormulaManager::CellReferenceFunction const & | readCellReference,
|  | int | version
| ) |  |
| inline

constructor

## Member Data Documentation

## ◆ m_actDLLName1Id

int QuattroFormulaInternal::State::m_actDLLName1Id

the current id DLL name 1

## ◆ m_idFunctionsMap

std::map<int, Functions> QuattroFormulaInternal::State::m_idFunctionsMap

the function which differs from default

Referenced by State().

## ◆ m_idToDLLName1Map

std::map<int, librevenge::RVNGString> QuattroFormulaInternal::State::m_idToDLLName1Map

map id to DLL name 1

## ◆ m_idToDLLName2Map

std::map<Vec2i, librevenge::RVNGString> QuattroFormulaInternal::State::m_idToDLLName2Map

map id to DLL name2

## ◆ m_readCellReferenceFunction

QuattroFormulaManager::CellReferenceFunction QuattroFormulaInternal::State::m_readCellReferenceFunction

function to call to read a cell reference

## ◆ m_version

int QuattroFormulaInternal::State::m_version

the file version: 1: .wb1-3, 2: .qpw

Referenced by State().

The documentation for this struct was generated from the following file:

- QuattroFormula.cpp